Bug 1253602 - Error setting the value for property salesforce:calculated when importing from Teiid Connection
Summary: Error setting the value for property salesforce:calculated when importing fro...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ER1
: 6.3.0
Assignee: Van Halbert
QA Contact: Andrej Smigala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-14 08:48 UTC by Andrej Smigala
Modified: 2016-08-24 11:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you try to import a SalesForce model with the Teiid Connection, you will encounter log errors. This is due to a Teiid property not being renamed.
Clone Of:
Environment:
Last Closed: 2016-08-24 11:35:51 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker TEIID-3629 Minor Closed Teiid DDL columns options for Salesforce column have wrong name for "Calculated" property 2016-08-09 05:17:14 UTC

Description Andrej Smigala 2015-08-14 08:48:53 UTC
The following is logged in the error log multiple times when importing Salesforce from Teiid Connection. The imported model appears to work ok (tried previewing a couple tables).

    java.lang.Exception: The property definition "salesforce:calculated" could not be found.
    at org.teiid.designer.core.extension.EmfModelObjectExtensionAssistant.setPropertyValue(EmfModelObjectExtensionAssistant.java:485)
    at org.teiid.designer.ddl.importer.node.EmfModelGenerator.setPropertyValue(EmfModelGenerator.java:1203)
    at org.teiid.designer.ddl.importer.node.EmfModelGenerator.processExtensionProperties(EmfModelGenerator.java:1110)
    at org.teiid.designer.ddl.importer.node.EmfModelGenerator.execute(EmfModelGenerator.java:219)
    at org.teiid.designer.ddl.importer.DdlImporter.save(DdlImporter.java:324)
    at org.teiid.designer.teiidimporter.ui.wizard.TeiidImportManager$2.run(TeiidImportManager.java:802)
    at org.eclipse.jface.operation.ModalContext.runInCurrentThread(ModalContext.java:466)
    at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:374)
    at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:527)
    at org.teiid.designer.teiidimporter.ui.wizard.TeiidImportManager.saveUsingDdlDiffReport(TeiidImportManager.java:795)
    at org.teiid.designer.teiidimporter.ui.wizard.TeiidImportWizard.finish(TeiidImportWizard.java:197)
    at org.teiid.designer.ui.common.wizard.AbstractWizard.performFinish(AbstractWizard.java:356)
    at org.eclipse.jface.wizard.WizardDialog.finishPressed(WizardDialog.java:853)
    at org.eclipse.jface.wizard.WizardDialog.buttonPressed(WizardDialog.java:438)
    at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:619)
    at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:248)
    at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
    at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4454)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1388)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1412)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1397)
    at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:1182)
    at org.jboss.reddeer.swt.handler.WidgetHandler$4.run(WidgetHandler.java:333)
    at org.jboss.reddeer.swt.util.Display$VoidResultRunnable.run(Display.java:184)
    at org.jboss.reddeer.swt.util.Display$VoidResultRunnable.run(Display.java:1)
    at org.jboss.reddeer.swt.util.Display$ErrorHandlingRunnable.run(Display.java:150)
    at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
    at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:136)
    at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3774)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3412)
    at org.eclipse.jface.window.Window.runEventLoop(Window.java:832)
    at org.eclipse.jface.window.Window.open(Window.java:808)
    at org.eclipse.ui.internal.handlers.WizardHandler$Import.executeHandler(WizardHandler.java:158)
    at org.eclipse.ui.internal.handlers.WizardHandler.execute(WizardHandler.java:290)
    at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:294)
    at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute(E4HandlerProxy.java:90)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:606)
    at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:55)
    at org.eclipse.e4.core.internal.di.InjectorImpl.invokeUsingClass(InjectorImpl.java:247)
    at org.eclipse.e4.core.internal.di.InjectorImpl.invoke(InjectorImpl.java:229)
    at org.eclipse.e4.core.contexts.ContextInjectionFactory.invoke(ContextInjectionFactory.java:132)
    at org.eclipse.e4.core.commands.internal.HandlerServiceHandler.execute(HandlerServiceHandler.java:149)
    at org.eclipse.core.commands.Command.executeWithChecks(Command.java:499)
    at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks(ParameterizedCommand.java:508)
    at org.eclipse.e4.core.commands.internal.HandlerServiceImpl.executeHandler(HandlerServiceImpl.java:210)
    at org.eclipse.ui.internal.handlers.LegacyHandlerService.executeCommand(LegacyHandlerService.java:343)
    at org.eclipse.ui.internal.actions.CommandAction.runWithEvent(CommandAction.java:159)
    at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:595)
    at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:511)
    at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:420)
    at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
    at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4454)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1388)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1412)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1397)
    at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:1182)
    at org.jboss.reddeer.swt.handler.MenuHandler$5.run(MenuHandler.java:116)
    at org.jboss.reddeer.swt.util.Display$VoidResultRunnable.run(Display.java:184)
    at org.jboss.reddeer.swt.util.Display$VoidResultRunnable.run(Display.java:1)
    at org.jboss.reddeer.swt.util.Display$ErrorHandlingRunnable.run(Display.java:150)
    at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
    at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:136)
    at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3774)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3412)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1151)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1032)
    at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:148)
    at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:636)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:579)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)
    at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:135)
    at org.jboss.reddeer.eclipse.core.UITestApplication.start(UITestApplication.java:47)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:606)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
    at org.eclipse.equinox.launcher.Main.main(Main.java:1438)

Comment 2 Andrej Smigala 2015-08-14 14:15:59 UTC
Turns out this is an issue with Teiid (the property was not renamed in the fix for TEIID-2959), changing component to Teiid.

Comment 3 Barry LaFond 2015-08-17 14:19:12 UTC
Suggest targeting 9.0.4 Designer

Comment 4 Van Halbert 2015-09-03 18:14:55 UTC
This has been fixed upstream on the 8.12 Teiid branch.

Comment 5 JBoss JIRA Server 2015-10-14 12:55:23 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3629 to Closed

Comment 6 JBoss JIRA Server 2015-11-06 14:11:54 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3629 to Reopened

Comment 7 JBoss JIRA Server 2015-11-06 14:12:09 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3629 to Closed


Note You need to log in before you can comment on or make changes to this bug.